package com.ejie.ab04b.util;

/**
 * Bean con los datos de navegacion
 * 
 * @author UDA
 */
public class DatosNavegacion {

	private Object filtro;
	private String pagina;
	private String registrosPagina;
	private String campoOrden;
	private String orden;
	private boolean isVolver;

	/**
	 * Instantiates a new datos navegacion.
	 */
	public DatosNavegacion() {
		super();
		this.resetDatosGrid();
	}

	/**
	 * Reset datos grid.
	 */
	public final void resetDatosGrid() {
		this.pagina = "1";
		this.registrosPagina = "10";
		this.campoOrden = "";
		this.orden = "ASC";
	}

	/**
	 * Gets the filtro.
	 * 
	 *  the filtro
	 *
	 * @return the filtro
	 */
	public Object getFiltro() {
		return this.filtro;
	}

	/**
	 * Sets the filtro.
	 * 
	 *  filtro            the filtro to set
	 *
	 * @param filtro the new filtro
	 */
	public void setFiltro(Object filtro) {
		this.filtro = filtro;
	}

	/**
	 * Gets the pagina.
	 * 
	 *  this.the pagina
	 *
	 * @return the pagina
	 */
	public String getPagina() {
		return this.pagina;
	}

	/**
	 * Sets the pagina.
	 * 
	 *  long1            the pagina to set
	 *
	 * @param long1 the new pagina
	 */
	public void setPagina(String long1) {
		this.pagina = long1;
	}

	/**
	 * Gets the registros pagina.
	 * 
	 *  this.the registrosPagina
	 *
	 * @return the registros pagina
	 */
	public String getRegistrosPagina() {
		return this.registrosPagina;
	}

	/**
	 * Sets the registros pagina.
	 * 
	 *  registrosPagina            the registrosPagina to set
	 *
	 * @param registrosPagina the new registros pagina
	 */
	public void setRegistrosPagina(String registrosPagina) {
		this.registrosPagina = registrosPagina;
	}

	/**
	 * Gets the campo orden.
	 * 
	 *  this.the campoOrden
	 *
	 * @return the campo orden
	 */
	public String getCampoOrden() {
		return this.campoOrden;
	}

	/**
	 * Sets the campo orden.
	 * 
	 *  campoOrden            the campoOrden to set
	 *
	 * @param campoOrden the new campo orden
	 */
	public void setCampoOrden(String campoOrden) {
		this.campoOrden = campoOrden;
	}

	/**
	 * Gets the orden.
	 * 
	 *  this.the orden
	 *
	 * @return the orden
	 */
	public String getOrden() {
		return this.orden;
	}

	/**
	 * Sets the orden.
	 * 
	 *  orden            the orden to set
	 *
	 * @param orden the new orden
	 */
	public void setOrden(String orden) {
		this.orden = orden;
	}

	/**
	 * Checks if is volver.
	 * 
	 *  boolean
	 *
	 * @return true, if is volver
	 */
	public boolean isVolver() {
		return this.isVolver;
	}

	/**
	 * Sets the volver.
	 * 
	 *  isVolver            boolean
	 *
	 * @param isVolver the new volver
	 */
	public void setVolver(boolean isVolver) {
		this.isVolver = isVolver;
	}

}
